Summary: LinuxCOE SystemDesigner web interface
Name: linuxcoe-sd-base
Version: 4.1
Release: 1.suse10.2
License: GPL
URL: http://linuxcoe.sourceforge.net/
Group: System/Configuration/Packaging
# Copyright: 2000-2007 Hewlett-Packard Development Company, L.P
# Original Packager: Louis Bouchard <louis.bouchard@hp.com>
#
# Source Section
#
Source: ftp://ftp.mondorescue.org/src/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildArch: noarch
Requires: php >= 4.0.4, perl, sudo, httpd, mkisofs

%description
LinuxCOE SystemDesigner is a unifying web application that allows
a user to repeatably install, configure, and maintain different
Linux system installations. It's CGI-based interface provides means
to generate boot images for network or local media based installations,
save profiles that store custom installation preferences for later re-use,
and retrofit already deployed systems by overlaying other value-add components.


%prep
%setup -q

%build
# For the moment done here. Would be better to give it to pb. Needs discussion
export httpdcfgdir=/etc/httpd/conf.d
export docrootdir=/var/www/html
export httpd_user=apache
export httpd_group=apache
export sudoers_cfg=/etc/sudoers
export webalias=SystemDesigner

# macro configure doesn't work. (Do not put a percent before the word)
./configure --prefix=/var/www/linuxcoe-sd --sysconfdir=/etc/linuxcoe-sd --localstatedir=%{_localstatedir} --mandir=%{_mandir} --without-APACHECTL --without-SUDO --without-PERLMOD --without-MKISOFS --without-SENDMAIL --without-SUDO --without-APACHE
make

%install
%{__rm} -rf %{buildroot}
make DESTDIR="$RPM_BUILD_ROOT" install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
export VARLOG=%{_var}/log
cat > $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/LinuxCOE << EOF
$VARLOG/* {
    create 640 apache apache
    rotate 4
    monthly
    missingok
    compress
    prerotate
        /etc/init.d/httpd closelogs > /dev/null 2>&1
    endscript
    postrotate
        /etc/init.d/httpd closelogs > /dev/null 2>&1
    endscript
}
EOF

%post
#
# Invoke post action script
#
/var/www/linuxcoe-sd/bin/post-actions -i -v
/etc/init.d/httpd reload

# THis is not clear at the moment when doing -U updates 
# this tend to be called after the %post above thus 
# defeating that task :-(
#%preun
#if [ -x /var/www/linuxcoe-sd/bin/post-actions ]; then
	#/var/www/linuxcoe-sd/bin/post-actions -u -v
#fi
#perl -pi -e 's/^apache.*//' /etc/sudoers
#/etc/init.d/httpd reload

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/linuxcoe-sd 
%config %{_sysconfdir}/logrotate.d/LinuxCOE
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_var}/cache/*
%{_var}/log/*
%{_localstatedir}/*
/var/www/linuxcoe-sd

%changelog
* Sun Nov 11 2007 Louis Bouchard and Bruno Cornec <bruno@project-builder.org> 4.1-1.suse10.2
- Updated to 4.1
- TBD

* Tue Sep 27 2005 Louis Bouchard and Bruno Cornec <bruno@project-builder.org> 4.0-1.suse10.2
- Updated to 4.0
- incorporated v4 of the LinuxCOE System Designer (Bryan Gartner)

* Mon Aug 01 2005 Louis Bouchard and Bruno Cornec <bruno@project-builder.org> 3.2-1.suse10.2
- Updated to 3.2
- automated the integration of the LinuxCOE System Designer to a system, and partitioned the package into modules for each distribution (Bryan Gartner)

* Wed Sep 22 2004 Louis Bouchard and Bruno Cornec <bruno@project-builder.org> 3.1-1.suse10.2
- Updated to 3.1
- completed repackaging of new LinuxCOE System Designer version (moved to SYSV directory scheme) (Bryan Gartner)

* Tue Jun 22 2004 Louis Bouchard and Bruno Cornec <bruno@project-builder.org> 3.0-1.suse10.2
- Updated to 3.0
- completed installation packaging of LinuxCOE System Designer version 3.0 (prior versions were only manually installed) (Bryan Gartner)


